View Issue Details

This bug affects 1 person(s).
 4
IDProjectCategoryView StatusLast Update
17460Bug reports_ Unknownpublic2021-07-28 12:05
Reportersamarta Assigned Topstelling  
PriorityhighSeveritypartial_block 
Status assignedResolutionfixed 
Product Version5.x 
Summary17460: Button to give themes permission has disappeared
DescriptionButton to give themes permission has disappeared
Steps To Reproducego to User management -- /index.php/userManagement/index

and the button to give permissions has disappeared,. Check the attached image


Thank you
TagsNo tags attached.
Bug heat4
Complete LimeSurvey version number (& build)Version 5.0.10+210723
I will donate to the project if issue is resolvedNo
BrowserSafari, Chrome
Database & DB-Version mysqlnd 7.4.21 - Database server version 8.0.17
Server OS (if known)Web server software Apache/2.4.37 (centos) OpenSSL/1.1.1c
Webserver software & version (if known)
PHP Version7.4.21

Activities

samarta

samarta

2021-07-21 19:00

reporter  

image.png (71,793 bytes)   
image.png (71,793 bytes)   
ollehar

ollehar

2021-07-22 13:06

administrator   ~65567

Thanks for reporting this, we'll fix it.
pstelling

pstelling

2021-07-28 12:05

developer   ~65671

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=32404

Related Changesets

LimeSurvey: master 2a50cef0

2021-07-23 11:16:01

pstelling

Details Diff
Fixed issue 17460: themes permission action button is shown now Affected Issues
17460
mod - application/controllers/UserManagementController.php Diff File
mod - application/models/User.php Diff File
mod - application/views/userManagement/massiveAction/_selector.php Diff File
mod - application/views/userManagement/partial/edittemplatepermissions.php Diff File

Issue History

Date Modified Username Field Change
2021-07-21 19:00 samarta New Issue
2021-07-21 19:00 samarta File Added: image.png
2021-07-22 11:28 ollehar Priority none => high
2021-07-22 12:40 galads Assigned To => galads
2021-07-22 12:40 galads Status new => confirmed
2021-07-22 12:41 galads Reproducibility have not tried => always
2021-07-22 13:06 ollehar Note Added: 65567
2021-07-22 13:06 ollehar Bug heat 0 => 2
2021-07-22 13:20 galads Assigned To galads => ollehar
2021-07-22 13:20 galads Status confirmed => assigned
2021-07-28 12:05 pstelling Changeset attached => LimeSurvey master 2a50cef0
2021-07-28 12:05 pstelling Note Added: 65671
2021-07-28 12:05 pstelling Bug heat 2 => 4
2021-07-28 12:05 pstelling Assigned To ollehar => pstelling
2021-07-28 12:05 pstelling Resolution open => fixed